%define		kdeplasmaver	5.22.5
%define		qtver		5.9.0
%define		kpname		plasma-workspace-wallpapers

Summary:	KDE Plasma Workspace Wallpapers
Name:		kp5-%{kpname}
Version:	5.22.5
Release:	1
License:	LGPL v2.1+
Group:		X11
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	716a1e7e9a5bc98963970bc319f0825a
URL:		http://www.kde.org/
BuildRequires:	cmake >= 2.8.12
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE Plasma Workspace Wallpapers.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/wallpapers/Autumn
%{_datadir}/wallpapers/BytheWater
%{_datadir}/wallpapers/ColdRipple
%{_datadir}/wallpapers/ColorfulCups
%{_datadir}/wallpapers/DarkestHour
%{_datadir}/wallpapers/EveningGlow
%{_datadir}/wallpapers/FallenLeaf
%{_datadir}/wallpapers/FlyingKonqui
%{_datadir}/wallpapers/Grey
%{_datadir}/wallpapers/Kite
%{_datadir}/wallpapers/OneStandsOut
%{_datadir}/wallpapers/PastelHills
%{_datadir}/wallpapers/Path
%{_datadir}/wallpapers/Canopee
%{_datadir}/wallpapers/Cascade
%{_datadir}/wallpapers/Kokkini
%{_datadir}/wallpapers/Opal
%{_datadir}/wallpapers/summer_1am
%{_datadir}/wallpapers/Cluster
%{_datadir}/wallpapers/Elarun
%{_datadir}/wallpapers/SafeLanding
%{_datadir}/wallpapers/Flow
%{_datadir}/wallpapers/IceCold
%{_datadir}/wallpapers/Shell
%{_datadir}/wallpapers/Volna
%{_datadir}/wallpapers/MilkyWay
%changelog
* Wed Sep 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-plasma-workspace-wallpapers.git;a=log;h=master

* Fri Sep 03 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 512e3bb
- updated to 5.22.5

* Tue Jul 27 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6156bf9
- updated to 5.22.4

* Wed Jul 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 78d8a4e
- updated to 5.22.3

* Wed Jun 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a2d70b6
- updated to 5.22.2.1

* Wed Jun 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ca34278
- updated to 5.22.1

* Wed Jun 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 00499d8
- updated to 5.22.0

* Wed May 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 31ca237
- updated to 5.21.5

* Fri Apr 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6d9b951
- updated to 5.21.4

* Tue Mar 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 648ca19
- update to 5.21.3

* Sun Mar 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4cd1d49
- update to 5.21.2

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 616e5ab
- updated to 5.15.3

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 0c21f04
- updated to 5.14.4

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> fab1ffd
- updated to 5.11.2

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 2da4e8a
- updated to 5.5.4

* Sun Sep 06 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ce2504f
- initial

